Article ID: 5990, created on Dec 9, 2009, last review on Apr 23, 2012

  • Applies to:
  • Plesk 8.6 for Linux/Unix

Síntomas

El paquete principal de Parallels Plesk Panel 8.6.0 no puede volverse a instalar siguiendo el procedimiento normal. Cuando se intenta volver a instalar psa-8.6.0 con "rpm -Uvh" o "dpkg -i", se obtiene el siguiente mensaje de error:

Unable to upgrade. You have  8.6.0 version installed,
but upgrader is incompatible with this version.
To install new Plesk copy, please move '/usr/local/psa'
to another place manually.

Resolución

En sistemas operativos RedHat, es suficiente con cambiar el número de versión en el archivo /usr/local/psa/version y volver a instalar el paquete psa-8.6.0 y todos los hotfixes.

IMPORTANTE: si ha vuelto a instalar el paquete principal psa-8.6.0 de Parallels Plesk Panel, se sobrescribirán todos los hotfixes que se instalaron con posterioridad. Por este motivo deberá volver a instalar psa-8.6.0 y todos los hotfixes mostrados.


Por ejemplo:

~# cat /usr/local/psa/version
8.6.0 CentOS 5 86080722.00
~#


Cambie la versión a "8.4.0 CentOS 5 86080722.00" y vuelva a instalar los paquetes:

~# rpm -Uvh --force /full/path/to/psa-8.6.0-OS.BUILD.rpm
~# rpm -Uvh --force /full/path/to/psa-hotfix4-8.6.0-8.6.0-OS.BUILD.rpm
~# rpm -Uvh --force /full/path/to/psa-hotfix3-8.6.0-OS.BUILD.rpm
~# rpm -Uvh --force /full/path/to/psa-hotfix5-8.6.0-8.6.0-OS.BUILD.rpm


En Debian y Ubuntu, deberá cambiar la versión del paquete "psa" en /var/lib/dpkg/status.

Package: psa
Status: install ok installed
Priority: extra
Section: non-free/net
Installed-Size: 65760
Maintainer: <info@parallels.com>
Architecture: i386
Version: 8.6.0-ubuntu6.06.build86080722.01 
<=== cambiar a la versión anterior de Parallels Panel, por ejemplo 8.4.0-ubuntu6.06.build86080722.01

Y entonces volver a instalar el paquete:

~# dpkg -i /full/path/to/psa-8.6.0-OS.BUILD.deb
~# dpkg -i /full/path/to/psa-hotfix4-8.6.0-8.6.0-OS.BUILD.deb
~# dpkg -i /full/path/to/psa-hotfix3-8.6.0-OS.BUILD.deb
~# dpkg -i /full/path/to/psa-hotfix5-8.6.0-8.6.0-OS.BUILD.deb


El archivo /var/lib/dpkg/status es la base de datos principal del sistema de paquetes y contiene información acerca de todos los paquetes instalados.

No olvide realizar una copia de seguridad del archivo /var/lib/dpkg/status antes de realizar cualquier cambio en la configuración.

Esta incidencia sólo afecta a la reinstalación del paquete base para Parallels Plesk Panel 8.6. Este problema ha sido corregido a partir de la versión 9.0.0.

9fa0130c84cac4b292697ade62270a40 a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 b8ef5052d936e902043e41759118114e 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF